Disconnected Satellite 5 on RHEL 6: Yum update to RHEL 6.6 fails on PyYAML-3.09-3.el6sat.x86_64

Solution Verified - Updated -

Issue

  • Unable to install disconnected Satellite 5 on RHEL 6.6 release, fails with the following error:
--> Finished Dependency Resolution
Error: Package: PyYAML-3.09-3.el6sat.x86_64 (@red-hat-satellite)
           Requires: libyaml-0.so.1()(64bit)
           Removing: libyaml-0.1.2-5.el6.x86_64 (@red-hat-satellite)
               libyaml-0.so.1()(64bit)
           Updated By: libyaml-0.1.3-1.4.el6.x86_64 (rhel-x86_64-server-6)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
  • Unable to yum update Satellite 5 server after RHEL 6.6 release
  • Yum update fails with Error: Package: PyYAML-3.09-3.el6sat.x86_64
  • Yum update from RHEL 6.5 to 6.6 fails

Environment

  • Disconnected Red Hat Satellite 5.4.1, 5.5, or 5.6 running on Red Hat Enterprise Linux 6, either fresh installation on or yum updating to RHEL 6.6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In